#ifndef INCLUDED_CYFITTER_H
#define INCLUDED_CYFITTER_H
#include <cydevice.h>
#include <cydevice_trm.h>

/* WaveDAC8_1_BuffAmp_ABuf */
#define WaveDAC8_1_BuffAmp_ABuf__CR CYREG_OPAMP3_CR
#define WaveDAC8_1_BuffAmp_ABuf__MX CYREG_OPAMP3_MX
#define WaveDAC8_1_BuffAmp_ABuf__NPUMP_OPAMP_TR0 CYREG_NPUMP_OPAMP_TR0
#define WaveDAC8_1_BuffAmp_ABuf__PM_ACT_CFG CYREG_PM_ACT_CFG4
#define WaveDAC8_1_BuffAmp_ABuf__PM_ACT_MSK 0x08u
#define WaveDAC8_1_BuffAmp_ABuf__PM_STBY_CFG CYREG_PM_STBY_CFG4
#define WaveDAC8_1_BuffAmp_ABuf__PM_STBY_MSK 0x08u
#define WaveDAC8_1_BuffAmp_ABuf__RSVD CYREG_OPAMP3_RSVD
#define WaveDAC8_1_BuffAmp_ABuf__SW CYREG_OPAMP3_SW
#define WaveDAC8_1_BuffAmp_ABuf__TR0 CYREG_OPAMP3_TR0
#define WaveDAC8_1_BuffAmp_ABuf__TR1 CYREG_OPAMP3_TR1

/* WaveDAC8_1_VDAC8_viDAC8 */
#define WaveDAC8_1_VDAC8_viDAC8__CR0 CYREG_DAC3_CR0
#define WaveDAC8_1_VDAC8_viDAC8__CR1 CYREG_DAC3_CR1
#define WaveDAC8_1_VDAC8_viDAC8__D CYREG_DAC3_D
#define WaveDAC8_1_VDAC8_viDAC8__PM_ACT_CFG CYREG_PM_ACT_CFG8
#define WaveDAC8_1_VDAC8_viDAC8__PM_ACT_MSK 0x08u
#define WaveDAC8_1_VDAC8_viDAC8__PM_STBY_CFG CYREG_PM_STBY_CFG8
#define WaveDAC8_1_VDAC8_viDAC8__PM_STBY_MSK 0x08u
#define WaveDAC8_1_VDAC8_viDAC8__STROBE CYREG_DAC3_STROBE
#define WaveDAC8_1_VDAC8_viDAC8__SW0 CYREG_DAC3_SW0
#define WaveDAC8_1_VDAC8_viDAC8__SW2 CYREG_DAC3_SW2
#define WaveDAC8_1_VDAC8_viDAC8__SW3 CYREG_DAC3_SW3
#define WaveDAC8_1_VDAC8_viDAC8__SW4 CYREG_DAC3_SW4
#define WaveDAC8_1_VDAC8_viDAC8__TR CYREG_DAC3_TR
#define WaveDAC8_1_VDAC8_viDAC8__TRIM__M1 CYREG_FLSHID_CUST_TABLES_DAC3_M1
#define WaveDAC8_1_VDAC8_viDAC8__TRIM__M2 CYREG_FLSHID_CUST_TABLES_DAC3_M2
#define WaveDAC8_1_VDAC8_viDAC8__TRIM__M3 CYREG_FLSHID_CUST_TABLES_DAC3_M3
#define WaveDAC8_1_VDAC8_viDAC8__TRIM__M4 CYREG_FLSHID_CUST_TABLES_DAC3_M4
#define WaveDAC8_1_VDAC8_viDAC8__TRIM__M5 CYREG_FLSHID_CUST_TABLES_DAC3_M5
#define WaveDAC8_1_VDAC8_viDAC8__TRIM__M6 CYREG_FLSHID_CUST_TABLES_DAC3_M6
#define WaveDAC8_1_VDAC8_viDAC8__TRIM__M7 CYREG_FLSHID_CUST_TABLES_DAC3_M7
#define WaveDAC8_1_VDAC8_viDAC8__TRIM__M8 CYREG_FLSHID_CUST_TABLES_DAC3_M8
#define WaveDAC8_1_VDAC8_viDAC8__TST CYREG_DAC3_TST

/* WaveDAC8_2_VDAC8_viDAC8 */
#define WaveDAC8_2_VDAC8_viDAC8__CR0 CYREG_DAC1_CR0
#define WaveDAC8_2_VDAC8_viDAC8__CR1 CYREG_DAC1_CR1
#define WaveDAC8_2_VDAC8_viDAC8__D CYREG_DAC1_D
#define WaveDAC8_2_VDAC8_viDAC8__PM_ACT_CFG CYREG_PM_ACT_CFG8
#define WaveDAC8_2_VDAC8_viDAC8__PM_ACT_MSK 0x02u
#define WaveDAC8_2_VDAC8_viDAC8__PM_STBY_CFG CYREG_PM_STBY_CFG8
#define WaveDAC8_2_VDAC8_viDAC8__PM_STBY_MSK 0x02u
#define WaveDAC8_2_VDAC8_viDAC8__STROBE CYREG_DAC1_STROBE
#define WaveDAC8_2_VDAC8_viDAC8__SW0 CYREG_DAC1_SW0
#define WaveDAC8_2_VDAC8_viDAC8__SW2 CYREG_DAC1_SW2
#define WaveDAC8_2_VDAC8_viDAC8__SW3 CYREG_DAC1_SW3
#define WaveDAC8_2_VDAC8_viDAC8__SW4 CYREG_DAC1_SW4
#define WaveDAC8_2_VDAC8_viDAC8__TR CYREG_DAC1_TR
#define WaveDAC8_2_VDAC8_viDAC8__TRIM__M1 CYREG_FLSHID_CUST_TABLES_DAC1_M1
#define WaveDAC8_2_VDAC8_viDAC8__TRIM__M2 CYREG_FLSHID_CUST_TABLES_DAC1_M2
#define WaveDAC8_2_VDAC8_viDAC8__TRIM__M3 CYREG_FLSHID_CUST_TABLES_DAC1_M3
#define WaveDAC8_2_VDAC8_viDAC8__TRIM__M4 CYREG_FLSHID_CUST_TABLES_DAC1_M4
#define WaveDAC8_2_VDAC8_viDAC8__TRIM__M5 CYREG_FLSHID_CUST_TABLES_DAC1_M5
#define WaveDAC8_2_VDAC8_viDAC8__TRIM__M6 CYREG_FLSHID_CUST_TABLES_DAC1_M6
#define WaveDAC8_2_VDAC8_viDAC8__TRIM__M7 CYREG_FLSHID_CUST_TABLES_DAC1_M7
#define WaveDAC8_2_VDAC8_viDAC8__TRIM__M8 CYREG_FLSHID_CUST_TABLES_DAC1_M8
#define WaveDAC8_2_VDAC8_viDAC8__TST CYREG_DAC1_TST

/* WaveDAC8_1_Wave1_DMA */
#define WaveDAC8_1_Wave1_DMA__DRQ_CTL CYREG_IDMUX_DRQ_CTL0
#define WaveDAC8_1_Wave1_DMA__DRQ_NUMBER 0u
#define WaveDAC8_1_Wave1_DMA__NUMBEROF_TDS 0u
#define WaveDAC8_1_Wave1_DMA__PRIORITY 2u
#define WaveDAC8_1_Wave1_DMA__TERMIN_EN 0u
#define WaveDAC8_1_Wave1_DMA__TERMIN_SEL 0u
#define WaveDAC8_1_Wave1_DMA__TERMOUT0_EN 0u
#define WaveDAC8_1_Wave1_DMA__TERMOUT0_SEL 0u
#define WaveDAC8_1_Wave1_DMA__TERMOUT1_EN 0u
#define WaveDAC8_1_Wave1_DMA__TERMOUT1_SEL 0u

/* WaveDAC8_1_Wave2_DMA */
#define WaveDAC8_1_Wave2_DMA__DRQ_CTL CYREG_IDMUX_DRQ_CTL0
#define WaveDAC8_1_Wave2_DMA__DRQ_NUMBER 1u
#define WaveDAC8_1_Wave2_DMA__NUMBEROF_TDS 0u
#define WaveDAC8_1_Wave2_DMA__PRIORITY 2u
#define WaveDAC8_1_Wave2_DMA__TERMIN_EN 0u
#define WaveDAC8_1_Wave2_DMA__TERMIN_SEL 0u
#define WaveDAC8_1_Wave2_DMA__TERMOUT0_EN 0u
#define WaveDAC8_1_Wave2_DMA__TERMOUT0_SEL 0u
#define WaveDAC8_1_Wave2_DMA__TERMOUT1_EN 0u
#define WaveDAC8_1_Wave2_DMA__TERMOUT1_SEL 0u

/* WaveDAC8_2_Wave1_DMA */
#define WaveDAC8_2_Wave1_DMA__DRQ_CTL CYREG_IDMUX_DRQ_CTL0
#define WaveDAC8_2_Wave1_DMA__DRQ_NUMBER 2u
#define WaveDAC8_2_Wave1_DMA__NUMBEROF_TDS 0u
#define WaveDAC8_2_Wave1_DMA__PRIORITY 2u
#define WaveDAC8_2_Wave1_DMA__TERMIN_EN 0u
#define WaveDAC8_2_Wave1_DMA__TERMIN_SEL 0u
#define WaveDAC8_2_Wave1_DMA__TERMOUT0_EN 0u
#define WaveDAC8_2_Wave1_DMA__TERMOUT0_SEL 0u
#define WaveDAC8_2_Wave1_DMA__TERMOUT1_EN 0u
#define WaveDAC8_2_Wave1_DMA__TERMOUT1_SEL 0u

/* WaveDAC8_2_Wave2_DMA */
#define WaveDAC8_2_Wave2_DMA__DRQ_CTL CYREG_IDMUX_DRQ_CTL0
#define WaveDAC8_2_Wave2_DMA__DRQ_NUMBER 3u
#define WaveDAC8_2_Wave2_DMA__NUMBEROF_TDS 0u
#define WaveDAC8_2_Wave2_DMA__PRIORITY 2u
#define WaveDAC8_2_Wave2_DMA__TERMIN_EN 0u
#define WaveDAC8_2_Wave2_DMA__TERMIN_SEL 0u
#define WaveDAC8_2_Wave2_DMA__TERMOUT0_EN 0u
#define WaveDAC8_2_Wave2_DMA__TERMOUT0_SEL 0u
#define WaveDAC8_2_Wave2_DMA__TERMOUT1_EN 0u
#define WaveDAC8_2_Wave2_DMA__TERMOUT1_SEL 0u

/* LCD_Char_1_LCDPort */
#define LCD_Char_1_LCDPort__0__MASK 0x01u
#define LCD_Char_1_LCDPort__0__PC CYREG_PRT2_PC0
#define LCD_Char_1_LCDPort__0__PORT 2u
#define LCD_Char_1_LCDPort__0__SHIFT 0
#define LCD_Char_1_LCDPort__1__MASK 0x02u
#define LCD_Char_1_LCDPort__1__PC CYREG_PRT2_PC1
#define LCD_Char_1_LCDPort__1__PORT 2u
#define LCD_Char_1_LCDPort__1__SHIFT 1
#define LCD_Char_1_LCDPort__2__MASK 0x04u
#define LCD_Char_1_LCDPort__2__PC CYREG_PRT2_PC2
#define LCD_Char_1_LCDPort__2__PORT 2u
#define LCD_Char_1_LCDPort__2__SHIFT 2
#define LCD_Char_1_LCDPort__3__MASK 0x08u
#define LCD_Char_1_LCDPort__3__PC CYREG_PRT2_PC3
#define LCD_Char_1_LCDPort__3__PORT 2u
#define LCD_Char_1_LCDPort__3__SHIFT 3
#define LCD_Char_1_LCDPort__4__MASK 0x10u
#define LCD_Char_1_LCDPort__4__PC CYREG_PRT2_PC4
#define LCD_Char_1_LCDPort__4__PORT 2u
#define LCD_Char_1_LCDPort__4__SHIFT 4
#define LCD_Char_1_LCDPort__5__MASK 0x20u
#define LCD_Char_1_LCDPort__5__PC CYREG_PRT2_PC5
#define LCD_Char_1_LCDPort__5__PORT 2u
#define LCD_Char_1_LCDPort__5__SHIFT 5
#define LCD_Char_1_LCDPort__6__MASK 0x40u
#define LCD_Char_1_LCDPort__6__PC CYREG_PRT2_PC6
#define LCD_Char_1_LCDPort__6__PORT 2u
#define LCD_Char_1_LCDPort__6__SHIFT 6
#define LCD_Char_1_LCDPort__AG CYREG_PRT2_AG
#define LCD_Char_1_LCDPort__AMUX CYREG_PRT2_AMUX
#define LCD_Char_1_LCDPort__BIE CYREG_PRT2_BIE
#define LCD_Char_1_LCDPort__BIT_MASK CYREG_PRT2_BIT_MASK
#define LCD_Char_1_LCDPort__BYP CYREG_PRT2_BYP
#define LCD_Char_1_LCDPort__CTL CYREG_PRT2_CTL
#define LCD_Char_1_LCDPort__DM0 CYREG_PRT2_DM0
#define LCD_Char_1_LCDPort__DM1 CYREG_PRT2_DM1
#define LCD_Char_1_LCDPort__DM2 CYREG_PRT2_DM2
#define LCD_Char_1_LCDPort__DR CYREG_PRT2_DR
#define LCD_Char_1_LCDPort__INP_DIS CYREG_PRT2_INP_DIS
#define LCD_Char_1_LCDPort__LCD_COM_SEG CYREG_PRT2_LCD_COM_SEG
#define LCD_Char_1_LCDPort__LCD_EN CYREG_PRT2_LCD_EN
#define LCD_Char_1_LCDPort__MASK 0x7Fu
#define LCD_Char_1_LCDPort__PORT 2u
#define LCD_Char_1_LCDPort__PRT CYREG_PRT2_PRT
#define LCD_Char_1_LCDPort__PRTDSI__CAPS_SEL CYREG_PRT2_CAPS_SEL
#define LCD_Char_1_LCDPort__PRTDSI__DBL_SYNC_IN CYREG_PRT2_DBL_SYNC_IN
#define LCD_Char_1_LCDPort__PRTDSI__OE_SEL0 CYREG_PRT2_OE_SEL0
#define LCD_Char_1_LCDPort__PRTDSI__OE_SEL1 CYREG_PRT2_OE_SEL1
#define LCD_Char_1_LCDPort__PRTDSI__OUT_SEL0 CYREG_PRT2_OUT_SEL0
#define LCD_Char_1_LCDPort__PRTDSI__OUT_SEL1 CYREG_PRT2_OUT_SEL1
#define LCD_Char_1_LCDPort__PRTDSI__SYNC_OUT CYREG_PRT2_SYNC_OUT
#define LCD_Char_1_LCDPort__PS CYREG_PRT2_PS
#define LCD_Char_1_LCDPort__SHIFT 0
#define LCD_Char_1_LCDPort__SLW CYREG_PRT2_SLW

/* ADC_SAR_1_ADC_SAR */
#define ADC_SAR_1_ADC_SAR__CLK CYREG_SAR0_CLK
#define ADC_SAR_1_ADC_SAR__CSR0 CYREG_SAR0_CSR0
#define ADC_SAR_1_ADC_SAR__CSR1 CYREG_SAR0_CSR1
#define ADC_SAR_1_ADC_SAR__CSR2 CYREG_SAR0_CSR2
#define ADC_SAR_1_ADC_SAR__CSR3 CYREG_SAR0_CSR3
#define ADC_SAR_1_ADC_SAR__CSR4 CYREG_SAR0_CSR4
#define ADC_SAR_1_ADC_SAR__CSR5 CYREG_SAR0_CSR5
#define ADC_SAR_1_ADC_SAR__CSR6 CYREG_SAR0_CSR6
#define ADC_SAR_1_ADC_SAR__PM_ACT_CFG CYREG_PM_ACT_CFG11
#define ADC_SAR_1_ADC_SAR__PM_ACT_MSK 0x01u
#define ADC_SAR_1_ADC_SAR__PM_STBY_CFG CYREG_PM_STBY_CFG11
#define ADC_SAR_1_ADC_SAR__PM_STBY_MSK 0x01u
#define ADC_SAR_1_ADC_SAR__SW0 CYREG_SAR0_SW0
#define ADC_SAR_1_ADC_SAR__SW2 CYREG_SAR0_SW2
#define ADC_SAR_1_ADC_SAR__SW3 CYREG_SAR0_SW3
#define ADC_SAR_1_ADC_SAR__SW4 CYREG_SAR0_SW4
#define ADC_SAR_1_ADC_SAR__SW6 CYREG_SAR0_SW6
#define ADC_SAR_1_ADC_SAR__TR0 CYREG_SAR0_TR0
#define ADC_SAR_1_ADC_SAR__WRK0 CYREG_SAR0_WRK0
#define ADC_SAR_1_ADC_SAR__WRK1 CYREG_SAR0_WRK1

/* ADC_SAR_1_theACLK */
#define ADC_SAR_1_theACLK__CFG0 CYREG_CLKDIST_ACFG0_CFG0
#define ADC_SAR_1_theACLK__CFG1 CYREG_CLKDIST_ACFG0_CFG1
#define ADC_SAR_1_theACLK__CFG2 CYREG_CLKDIST_ACFG0_CFG2
#define ADC_SAR_1_theACLK__CFG2_SRC_SEL_MASK 0x07u
#define ADC_SAR_1_theACLK__CFG3 CYREG_CLKDIST_ACFG0_CFG3
#define ADC_SAR_1_theACLK__CFG3_PHASE_DLY_MASK 0x0Fu
#define ADC_SAR_1_theACLK__INDEX 0x00u
#define ADC_SAR_1_theACLK__PM_ACT_CFG CYREG_PM_ACT_CFG1
#define ADC_SAR_1_theACLK__PM_ACT_MSK 0x01u
#define ADC_SAR_1_theACLK__PM_STBY_CFG CYREG_PM_STBY_CFG1
#define ADC_SAR_1_theACLK__PM_STBY_MSK 0x01u

/* ADC_SAR_2_ADC_SAR */
#define ADC_SAR_2_ADC_SAR__CLK CYREG_SAR1_CLK
#define ADC_SAR_2_ADC_SAR__CSR0 CYREG_SAR1_CSR0
#define ADC_SAR_2_ADC_SAR__CSR1 CYREG_SAR1_CSR1
#define ADC_SAR_2_ADC_SAR__CSR2 CYREG_SAR1_CSR2
#define ADC_SAR_2_ADC_SAR__CSR3 CYREG_SAR1_CSR3
#define ADC_SAR_2_ADC_SAR__CSR4 CYREG_SAR1_CSR4
#define ADC_SAR_2_ADC_SAR__CSR5 CYREG_SAR1_CSR5
#define ADC_SAR_2_ADC_SAR__CSR6 CYREG_SAR1_CSR6
#define ADC_SAR_2_ADC_SAR__PM_ACT_CFG CYREG_PM_ACT_CFG11
#define ADC_SAR_2_ADC_SAR__PM_ACT_MSK 0x02u
#define ADC_SAR_2_ADC_SAR__PM_STBY_CFG CYREG_PM_STBY_CFG11
#define ADC_SAR_2_ADC_SAR__PM_STBY_MSK 0x02u
#define ADC_SAR_2_ADC_SAR__SW0 CYREG_SAR1_SW0
#define ADC_SAR_2_ADC_SAR__SW2 CYREG_SAR1_SW2
#define ADC_SAR_2_ADC_SAR__SW3 CYREG_SAR1_SW3
#define ADC_SAR_2_ADC_SAR__SW4 CYREG_SAR1_SW4
#define ADC_SAR_2_ADC_SAR__SW6 CYREG_SAR1_SW6
#define ADC_SAR_2_ADC_SAR__TR0 CYREG_SAR1_TR0
#define ADC_SAR_2_ADC_SAR__WRK0 CYREG_SAR1_WRK0
#define ADC_SAR_2_ADC_SAR__WRK1 CYREG_SAR1_WRK1

/* ADC_SAR_2_theACLK */
#define ADC_SAR_2_theACLK__CFG0 CYREG_CLKDIST_ACFG1_CFG0
#define ADC_SAR_2_theACLK__CFG1 CYREG_CLKDIST_ACFG1_CFG1
#define ADC_SAR_2_theACLK__CFG2 CYREG_CLKDIST_ACFG1_CFG2
#define ADC_SAR_2_theACLK__CFG2_SRC_SEL_MASK 0x07u
#define ADC_SAR_2_theACLK__CFG3 CYREG_CLKDIST_ACFG1_CFG3
#define ADC_SAR_2_theACLK__CFG3_PHASE_DLY_MASK 0x0Fu
#define ADC_SAR_2_theACLK__INDEX 0x01u
#define ADC_SAR_2_theACLK__PM_ACT_CFG CYREG_PM_ACT_CFG1
#define ADC_SAR_2_theACLK__PM_ACT_MSK 0x02u
#define ADC_SAR_2_theACLK__PM_STBY_CFG CYREG_PM_STBY_CFG1
#define ADC_SAR_2_theACLK__PM_STBY_MSK 0x02u

/* WaveDAC8_1_DacClk */
#define WaveDAC8_1_DacClk__CFG0 CYREG_CLKDIST_DCFG1_CFG0
#define WaveDAC8_1_DacClk__CFG1 CYREG_CLKDIST_DCFG1_CFG1
#define WaveDAC8_1_DacClk__CFG2 CYREG_CLKDIST_DCFG1_CFG2
#define WaveDAC8_1_DacClk__CFG2_SRC_SEL_MASK 0x07u
#define WaveDAC8_1_DacClk__INDEX 0x01u
#define WaveDAC8_1_DacClk__PM_ACT_CFG CYREG_PM_ACT_CFG2
#define WaveDAC8_1_DacClk__PM_ACT_MSK 0x02u
#define WaveDAC8_1_DacClk__PM_STBY_CFG CYREG_PM_STBY_CFG2
#define WaveDAC8_1_DacClk__PM_STBY_MSK 0x02u

/* WaveDAC8_2_DacClk */
#define WaveDAC8_2_DacClk__CFG0 CYREG_CLKDIST_DCFG0_CFG0
#define WaveDAC8_2_DacClk__CFG1 CYREG_CLKDIST_DCFG0_CFG1
#define WaveDAC8_2_DacClk__CFG2 CYREG_CLKDIST_DCFG0_CFG2
#define WaveDAC8_2_DacClk__CFG2_SRC_SEL_MASK 0x07u
#define WaveDAC8_2_DacClk__INDEX 0x00u
#define WaveDAC8_2_DacClk__PM_ACT_CFG CYREG_PM_ACT_CFG2
#define WaveDAC8_2_DacClk__PM_ACT_MSK 0x01u
#define WaveDAC8_2_DacClk__PM_STBY_CFG CYREG_PM_STBY_CFG2
#define WaveDAC8_2_DacClk__PM_STBY_MSK 0x01u

/* ADC_SAR_1_Bypass */
#define ADC_SAR_1_Bypass__0__MASK 0x10u
#define ADC_SAR_1_Bypass__0__PC CYREG_PRT0_PC4
#define ADC_SAR_1_Bypass__0__PORT 0u
#define ADC_SAR_1_Bypass__0__SHIFT 4
#define ADC_SAR_1_Bypass__AG CYREG_PRT0_AG
#define ADC_SAR_1_Bypass__AMUX CYREG_PRT0_AMUX
#define ADC_SAR_1_Bypass__BIE CYREG_PRT0_BIE
#define ADC_SAR_1_Bypass__BIT_MASK CYREG_PRT0_BIT_MASK
#define ADC_SAR_1_Bypass__BYP CYREG_PRT0_BYP
#define ADC_SAR_1_Bypass__CTL CYREG_PRT0_CTL
#define ADC_SAR_1_Bypass__DM0 CYREG_PRT0_DM0
#define ADC_SAR_1_Bypass__DM1 CYREG_PRT0_DM1
#define ADC_SAR_1_Bypass__DM2 CYREG_PRT0_DM2
#define ADC_SAR_1_Bypass__DR CYREG_PRT0_DR
#define ADC_SAR_1_Bypass__INP_DIS CYREG_PRT0_INP_DIS
#define ADC_SAR_1_Bypass__LCD_COM_SEG CYREG_PRT0_LCD_COM_SEG
#define ADC_SAR_1_Bypass__LCD_EN CYREG_PRT0_LCD_EN
#define ADC_SAR_1_Bypass__MASK 0x10u
#define ADC_SAR_1_Bypass__PORT 0u
#define ADC_SAR_1_Bypass__PRT CYREG_PRT0_PRT
#define ADC_SAR_1_Bypass__PRTDSI__CAPS_SEL CYREG_PRT0_CAPS_SEL
#define ADC_SAR_1_Bypass__PRTDSI__DBL_SYNC_IN CYREG_PRT0_DBL_SYNC_IN
#define ADC_SAR_1_Bypass__PRTDSI__OE_SEL0 CYREG_PRT0_OE_SEL0
#define ADC_SAR_1_Bypass__PRTDSI__OE_SEL1 CYREG_PRT0_OE_SEL1
#define ADC_SAR_1_Bypass__PRTDSI__OUT_SEL0 CYREG_PRT0_OUT_SEL0
#define ADC_SAR_1_Bypass__PRTDSI__OUT_SEL1 CYREG_PRT0_OUT_SEL1
#define ADC_SAR_1_Bypass__PRTDSI__SYNC_OUT CYREG_PRT0_SYNC_OUT
#define ADC_SAR_1_Bypass__PS CYREG_PRT0_PS
#define ADC_SAR_1_Bypass__SHIFT 4
#define ADC_SAR_1_Bypass__SLW CYREG_PRT0_SLW

/* ADC_SAR_2_Bypass */
#define ADC_SAR_2_Bypass__0__MASK 0x04u
#define ADC_SAR_2_Bypass__0__PC CYREG_PRT0_PC2
#define ADC_SAR_2_Bypass__0__PORT 0u
#define ADC_SAR_2_Bypass__0__SHIFT 2
#define ADC_SAR_2_Bypass__AG CYREG_PRT0_AG
#define ADC_SAR_2_Bypass__AMUX CYREG_PRT0_AMUX
#define ADC_SAR_2_Bypass__BIE CYREG_PRT0_BIE
#define ADC_SAR_2_Bypass__BIT_MASK CYREG_PRT0_BIT_MASK
#define ADC_SAR_2_Bypass__BYP CYREG_PRT0_BYP
#define ADC_SAR_2_Bypass__CTL CYREG_PRT0_CTL
#define ADC_SAR_2_Bypass__DM0 CYREG_PRT0_DM0
#define ADC_SAR_2_Bypass__DM1 CYREG_PRT0_DM1
#define ADC_SAR_2_Bypass__DM2 CYREG_PRT0_DM2
#define ADC_SAR_2_Bypass__DR CYREG_PRT0_DR
#define ADC_SAR_2_Bypass__INP_DIS CYREG_PRT0_INP_DIS
#define ADC_SAR_2_Bypass__LCD_COM_SEG CYREG_PRT0_LCD_COM_SEG
#define ADC_SAR_2_Bypass__LCD_EN CYREG_PRT0_LCD_EN
#define ADC_SAR_2_Bypass__MASK 0x04u
#define ADC_SAR_2_Bypass__PORT 0u
#define ADC_SAR_2_Bypass__PRT CYREG_PRT0_PRT
#define ADC_SAR_2_Bypass__PRTDSI__CAPS_SEL CYREG_PRT0_CAPS_SEL
#define ADC_SAR_2_Bypass__PRTDSI__DBL_SYNC_IN CYREG_PRT0_DBL_SYNC_IN
#define ADC_SAR_2_Bypass__PRTDSI__OE_SEL0 CYREG_PRT0_OE_SEL0
#define ADC_SAR_2_Bypass__PRTDSI__OE_SEL1 CYREG_PRT0_OE_SEL1
#define ADC_SAR_2_Bypass__PRTDSI__OUT_SEL0 CYREG_PRT0_OUT_SEL0
#define ADC_SAR_2_Bypass__PRTDSI__OUT_SEL1 CYREG_PRT0_OUT_SEL1
#define ADC_SAR_2_Bypass__PRTDSI__SYNC_OUT CYREG_PRT0_SYNC_OUT
#define ADC_SAR_2_Bypass__PS CYREG_PRT0_PS
#define ADC_SAR_2_Bypass__SHIFT 2
#define ADC_SAR_2_Bypass__SLW CYREG_PRT0_SLW

/* ADC_SAR_1_IRQ */
#define ADC_SAR_1_IRQ__INTC_CLR_EN_REG CYREG_NVIC_CLRENA0
#define ADC_SAR_1_IRQ__INTC_CLR_PD_REG CYREG_NVIC_CLRPEND0
#define ADC_SAR_1_IRQ__INTC_MASK 0x01u
#define ADC_SAR_1_IRQ__INTC_NUMBER 0u
#define ADC_SAR_1_IRQ__INTC_PRIOR_NUM 7u
#define ADC_SAR_1_IRQ__INTC_PRIOR_REG CYREG_NVIC_PRI_0
#define ADC_SAR_1_IRQ__INTC_SET_EN_REG CYREG_NVIC_SETENA0
#define ADC_SAR_1_IRQ__INTC_SET_PD_REG CYREG_NVIC_SETPEND0

/* ADC_SAR_2_IRQ */
#define ADC_SAR_2_IRQ__INTC_CLR_EN_REG CYREG_NVIC_CLRENA0
#define ADC_SAR_2_IRQ__INTC_CLR_PD_REG CYREG_NVIC_CLRPEND0
#define ADC_SAR_2_IRQ__INTC_MASK 0x02u
#define ADC_SAR_2_IRQ__INTC_NUMBER 1u
#define ADC_SAR_2_IRQ__INTC_PRIOR_NUM 7u
#define ADC_SAR_2_IRQ__INTC_PRIOR_REG CYREG_NVIC_PRI_1
#define ADC_SAR_2_IRQ__INTC_SET_EN_REG CYREG_NVIC_SETENA0
#define ADC_SAR_2_IRQ__INTC_SET_PD_REG CYREG_NVIC_SETPEND0

/* Miscellaneous */
/* -- WARNING: define names containing LEOPARD or PANTHER are deprecated and will be removed in a future release */
#define CYDEV_DEBUGGING_DPS_SWD_SWV 6
#define CYDEV_CONFIG_UNUSED_IO_AllowButWarn 0
#define CYDEV_CONFIGURATION_MODE_COMPRESSED 0
#define CYDEV_CONFIG_FASTBOOT_ENABLED 1
#define CYDEV_CHIP_REV_PSOC5LP_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_5B_PRODUCTION 0u
#define CYDEV_CHIP_MEMBER_5B 4u
#define CYDEV_CHIP_FAMILY_PSOC5 3u
#define CYDEV_CHIP_DIE_PSOC5LP 4u
#define CYDEV_CHIP_DIE_EXPECT CYDEV_CHIP_DIE_PSOC5LP
#define BCLK__BUS_CLK__HZ 24000000U
#define BCLK__BUS_CLK__KHZ 24000U
#define BCLK__BUS_CLK__MHZ 24U
#define CYDEV_CHIP_DIE_ACTUAL CYDEV_CHIP_DIE_EXPECT
#define CYDEV_CHIP_DIE_LEOPARD 1u
#define CYDEV_CHIP_DIE_PANTHER 3u
#define CYDEV_CHIP_DIE_PSOC4A 2u
#define CYDEV_CHIP_DIE_UNKNOWN 0u
#define CYDEV_CHIP_FAMILY_PSOC3 1u
#define CYDEV_CHIP_FAMILY_PSOC4 2u
#define CYDEV_CHIP_FAMILY_UNKNOWN 0u
#define CYDEV_CHIP_FAMILY_USED CYDEV_CHIP_FAMILY_PSOC5
#define CYDEV_CHIP_JTAG_ID 0x2E123069u
#define CYDEV_CHIP_MEMBER_3A 1u
#define CYDEV_CHIP_MEMBER_4A 2u
#define CYDEV_CHIP_MEMBER_5A 3u
#define CYDEV_CHIP_MEMBER_UNKNOWN 0u
#define CYDEV_CHIP_MEMBER_USED CYDEV_CHIP_MEMBER_5B
#define CYDEV_CHIP_REVISION_3A_ES1 0u
#define CYDEV_CHIP_REVISION_3A_ES2 1u
#define CYDEV_CHIP_REVISION_3A_ES3 3u
#define CYDEV_CHIP_REVISION_3A_PRODUCTION 3u
#define CYDEV_CHIP_REVISION_4A_ES0 17u
#define CYDEV_CHIP_REVISION_4A_PRODUCTION 17u
#define CYDEV_CHIP_REVISION_5A_ES0 0u
#define CYDEV_CHIP_REVISION_5A_ES1 1u
#define CYDEV_CHIP_REVISION_5A_PRODUCTION 1u
#define CYDEV_CHIP_REVISION_5B_ES0 0u
#define CYDEV_CHIP_REVISION_USED CYDEV_CHIP_REVISION_5B_PRODUCTION
#define CYDEV_CHIP_REV_EXPECT CYDEV_CHIP_REV_PSOC5LP_PRODUCTION
#define CYDEV_CHIP_REV_LEOPARD_ES1 0u
#define CYDEV_CHIP_REV_LEOPARD_ES2 1u
#define CYDEV_CHIP_REV_LEOPARD_ES3 3u
#define CYDEV_CHIP_REV_LEOPARD_PRODUCTION 3u
#define CYDEV_CHIP_REV_PANTHER_ES0 0u
#define CYDEV_CHIP_REV_PANTHER_ES1 1u
#define CYDEV_CHIP_REV_PANTHER_PRODUCTION 1u
#define CYDEV_CHIP_REV_PSOC4A_ES0 17u
#define CYDEV_CHIP_REV_PSOC4A_PRODUCTION 17u
#define CYDEV_CHIP_REV_PSOC5LP_ES0 0u
#define CYDEV_CONFIGURATION_COMPRESSED 1
#define CYDEV_CONFIGURATION_DMA 0
#define CYDEV_CONFIGURATION_ECC 1
#define CYDEV_CONFIGURATION_IMOENABLED CYDEV_CONFIG_FASTBOOT_ENABLED
#define CYDEV_CONFIGURATION_MODE CYDEV_CONFIGURATION_MODE_COMPRESSED
#define CYDEV_CONFIGURATION_MODE_DMA 2
#define CYDEV_CONFIGURATION_MODE_UNCOMPRESSED 1
#define CYDEV_CONFIG_UNUSED_IO CYDEV_CONFIG_UNUSED_IO_AllowButWarn
#define CYDEV_CONFIG_UNUSED_IO_AllowWithInfo 1
#define CYDEV_CONFIG_UNUSED_IO_Disallowed 2
#define CYDEV_DEBUGGING_DPS CYDEV_DEBUGGING_DPS_SWD_SWV
#define CYDEV_DEBUGGING_DPS_Disable 3
#define CYDEV_DEBUGGING_DPS_JTAG_4 1
#define CYDEV_DEBUGGING_DPS_JTAG_5 0
#define CYDEV_DEBUGGING_DPS_SWD 2
#define CYDEV_DEBUGGING_ENABLE 1
#define CYDEV_DEBUGGING_XRES 0
#define CYDEV_DEBUG_ENABLE_MASK 0x20u
#define CYDEV_DEBUG_ENABLE_REGISTER CYREG_MLOGIC_DEBUG
#define CYDEV_DMA_CHANNELS_AVAILABLE 24u
#define CYDEV_ECC_ENABLE 0
#define CYDEV_HEAP_SIZE 0x1000
#define CYDEV_INSTRUCT_CACHE_ENABLED 1
#define CYDEV_INTR_RISING 0x00000003u
#define CYDEV_PROJ_TYPE 0
#define CYDEV_PROJ_TYPE_BOOTLOADER 1
#define CYDEV_PROJ_TYPE_LOADABLE 2
#define CYDEV_PROJ_TYPE_MULTIAPPBOOTLOADER 3
#define CYDEV_PROJ_TYPE_STANDARD 0
#define CYDEV_PROTECTION_ENABLE 0
#define CYDEV_STACK_SIZE 0x4000
#define CYDEV_USE_BUNDLED_CMSIS 1
#define CYDEV_VARIABLE_VDDA 0
#define CYDEV_VDDA 5.0
#define CYDEV_VDDA_MV 5000
#define CYDEV_VDDD 5.0
#define CYDEV_VDDD_MV 5000
#define CYDEV_VDDIO0 5.0
#define CYDEV_VDDIO0_MV 5000
#define CYDEV_VDDIO1 5.0
#define CYDEV_VDDIO1_MV 5000
#define CYDEV_VDDIO2 5.0
#define CYDEV_VDDIO2_MV 5000
#define CYDEV_VDDIO3 5.0
#define CYDEV_VDDIO3_MV 5000
#define CYDEV_VIO0 5
#define CYDEV_VIO0_MV 5000
#define CYDEV_VIO1 5
#define CYDEV_VIO1_MV 5000
#define CYDEV_VIO2 5
#define CYDEV_VIO2_MV 5000
#define CYDEV_VIO3 5
#define CYDEV_VIO3_MV 5000
#define DMA_CHANNELS_USED__MASK0 0x0000000Fu
#define Dedicated_Output__MASK 0x80u
#define Dedicated_Output__PC CYREG_PRT3_PC7
#define Dedicated_Output__PORT 3u
#define Dedicated_Output__SHIFT 7
#define CYDEV_BOOTLOADER_ENABLE 0

#endif /* INCLUDED_CYFITTER_H */
